=== debian/changelog ===
nordlicht (0.4.4-2) unstable; urgency=medium

  * d/patches: Add 2 upstream patches to fix build on arm* (Closes: #813101)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Fri, 05 Feb 2016 10:57:10 +0100

nordlicht (0.4.4-1) unstable; urgency=medium

  * Initial release. (Closes: #809923)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 25 Jan 2016 22:08:23 +0100
