=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/v(.+)\.tar\.gz/releases\/download\/v$1\/nordlicht-$1.tar.gz.asc/ \
https://github.com/nordlicht/nordlicht/releases \
.*/archive/v(.+)\.tar\.gz
