## nordlicht 0.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(nordlicht C)
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
-set(PATCH_VERSION 4)
+set(PATCH_VERSION 5)
 set(NORDLICHT_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 
 option (BUILD_SHARED_LIBS "Build shared libraries." ON)
@@ -11,6 +11,8 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
 include(GNUInstallDirs)
+
+set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
 
 if (BUILD_SHARED_LIBS)
     add_definitions(-DNORDLICHT_BUILD_SHARED)
@@ -20,7 +22,6 @@
     set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
 endif()
 
-find_package(Threads REQUIRED)
 find_package(FFmpeg COMPONENTS AVUTIL AVFORMAT AVCODEC SWSCALE REQUIRED)
 find_package(Popt REQUIRED)
 
@@ -33,22 +34,22 @@
 
 include_directories(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR} ${FFMPEG_INCLUDE_DIRS} ${POPT_INCLUDES})
 
-add_library(libnordlicht error.c image.c nordlicht.c source.c)
+add_library(libnordlicht src/error.c src/image.c src/nordlicht.c src/source.c)
 set_target_properties(libnordlicht PROPERTIES OUTPUT_NAME nordlicht)
 set_target_properties(libnordlicht PROPERTIES SOVERSION ${MAJOR_VERSION} VERSION ${NORDLICHT_VERSION})
 set_target_properties(libnordlicht PROPERTIES C_VISIBILITY_PRESET hidden)
 target_link_libraries(libnordlicht m ${FFMPEG_LIBRARIES})
 
-add_executable(nordlicht main.c)
-target_link_libraries(nordlicht libnordlicht ${POPT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
+add_executable(nordlicht src/main.c)
+target_link_libraries(nordlicht libnordlicht ${POPT_LIBRARIES})
 if (WIN32)
     target_link_libraries(nordlicht mman)
 endif()
 
-add_executable(testsuite testsuite.c)
+add_executable(testsuite src/testsuite.c)
 target_link_libraries(testsuite libnordlicht)
 
-configure_file(version.h.in version.h @ONLY)
+configure_file(src/version.h.in version.h @ONLY)
 
 if (NOT WIN32)
     configure_file(cmake/nordlicht.pc.in nordlicht.pc @ONLY)
@@ -60,10 +61,10 @@
 
 install(TARGETS libnordlicht DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(TARGETS nordlicht DESTINATION bin)
-install(FILES nordlicht.h DESTINATION include)
+install(FILES ${CMAKE_SOURCE_DIR}/src/nordlicht.h DESTINATION include)
 
 if (NOT WIN32)
-		install(FILES ${CMAKE_BINARY_DIR}/nordlicht.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+    install(FILES ${CMAKE_BINARY_DIR}/nordlicht.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
     install(FILES ${CMAKE_BINARY_DIR}/nordlicht.1 DESTINATION share/man/man1)
 endif()
