=== debian/changelog ===
nordlicht (0.4.5-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 20:06:46 +0200

nordlicht (0.4.5-1) unstable; urgency=medium

  * New upstream release
  * Removed upstream applied patches
  * d/libnordlicht0.symbols: added new symbols
  * d/control: Bumped Standards-Verstion to 3.9.8, dh to >= 10
    (no changes required)
  * d/compat: Bumpted dh to 10.
  * d/copyright: Fix path for cheat.h and updated copyright years

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 16 Jan 2017 10:32:29 +0100

nordlicht (0.4.4-3) unstable; urgency=medium

  * d/patches: Add patch for ffmpeg-3.0 (Closes: #821417)
  * d/control: Updated to Standards-Version 3.9.7 (no changes required)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 18 Apr 2016 21:35:32 +0200
