=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: nordlicht
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Peter Spiess-Knafl <dev@spiessknafl.at>
 Section: video
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                help2man,
                libavcodec-dev,
                libavformat-dev,
                libpopt-dev,
                libswscale-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Homepage: https://github.com/nordlicht/nordlicht
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/nordlicht.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/nordlicht.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/nordlicht.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/nordlicht
 
 Package: nordlicht
 Architecture: any
