=== debian/tests/control ===
Tests: smoketest-nordlicht
Depends: libnordlicht-dev, build-essential
